<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>Camera()
: <a class="el" href="classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4">flair::sensor::Camera</a>
</li>
<li>ChannelValue()
: <a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html#a4d1361ca2a8c41427c497a5598a9f2b6">flair::sensor::RadioReceiver</a>
</li>
<li>CheckBox()
: <a class="el" href="classflair_1_1gui_1_1_check_box.html#acdd3773ee8b46d83f42db60fb15c4456">flair::gui::CheckBox</a>
</li>
<li>Childs()
: <a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">flair::core::Object</a>
</li>
<li>Clicked()
: <a class="el" href="classflair_1_1gui_1_1_push_button.html#a347daa56dc5ad2cc395cf5d65a7ff843">flair::gui::PushButton</a>
</li>
<li>Col()
: <a class="el" href="classflair_1_1gui_1_1_layout_position.html#a7f321233c0ec13034db703b71d612520">flair::gui::LayoutPosition</a>
</li>
<li>Cols()
: <a class="el" href="classflair_1_1core_1_1cvmatrix.html#a66f244158d65f5cbfe4fd3cbb2452fa9">flair::core::cvmatrix</a>
, <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#ab27faf7fde9bbe28037e7f7e435cc7c8">flair::core::cvmatrix_descriptor</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#ad14d9ef66bd0148dea7b15fdaf966898">flair::core::Matrix</a>
</li>
<li>ComboBox()
: <a class="el" href="classflair_1_1gui_1_1_combo_box.html#a28c0ddd20a867c6dfb168da0d1bb39ec">flair::gui::ComboBox</a>
</li>
<li>ComputeCustomThrust()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#a6af7f575d90ef500717a999ea4c4afef">flair::meta::UavStateMachine</a>
</li>
<li>ComputeCustomTorques()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#a239d9f75ff1a46752c2b06c37726336a">flair::meta::UavStateMachine</a>
</li>
<li>ComputeDefaultThrust()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b">flair::meta::UavStateMachine</a>
</li>
<li>ComputeDefaultTorques()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8">flair::meta::UavStateMachine</a>
</li>
<li>ComputeRotation()
: <a class="el" href="classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1">flair::core::OneAxisRotation</a>
</li>
<li>ConditionVariable()
: <a class="el" href="classflair_1_1core_1_1_condition_variable.html#a39d2c7445e468a1fa8efb62d39f7d082">flair::core::ConditionVariable</a>
</li>
<li>CondSignal()
: <a class="el" href="classflair_1_1core_1_1_condition_variable.html#abaec3da1498ecab5c9e53472eda70105">flair::core::ConditionVariable</a>
</li>
<li>CondWait()
: <a class="el" href="classflair_1_1core_1_1_condition_variable.html#ac51adc9331b169c336bee3497a2d2eff">flair::core::ConditionVariable</a>
</li>
<li>CondWaitUntil()
: <a class="el" href="classflair_1_1core_1_1_condition_variable.html#ac70e08c0d3f2017343022c19f1ffcb63">flair::core::ConditionVariable</a>
</li>
<li>Conjugate()
: <a class="el" href="classflair_1_1core_1_1_quaternion.html#ae3cf1c1892b4d1c70ca055e42709f9df">flair::core::Quaternion</a>
</li>
<li>Connect()
: <a class="el" href="classflair_1_1core_1_1_connected_socket.html#aebfdaebe07aee9b77b75d56e61fd6926">flair::core::ConnectedSocket</a>
, <a class="el" href="classflair_1_1core_1_1_tcp_socket.html#aea4dd2ff49fc3e2ba8a3afcccedbc4af">flair::core::TcpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udt_socket.html#a52ce6ff9c4c87c626338987b0b4f2fd1">flair::core::UdtSocket</a>
</li>
<li>ConnectedSocket()
: <a class="el" href="classflair_1_1core_1_1_connected_socket.html#a61c0bbd4147f994cc2f0276cc6982447">flair::core::ConnectedSocket</a>
</li>
<li>ConnectionLost()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">flair::core::FrameworkManager</a>
</li>
<li>ControlLaw()
: <a class="el" href="classflair_1_1filter_1_1_control_law.html#abd6d4ee32a9e01a2d1b0513a0aadafcb">flair::filter::ControlLaw</a>
</li>
<li>ConvertSatFromDegToRad()
: <a class="el" href="classflair_1_1filter_1_1_nested_sat.html#a828d39a93d7e31ae92f82f52fbea6c73">flair::filter::NestedSat</a>
</li>
<li>CopyDatas()
: <a class="el" href="classflair_1_1gui_1_1_map.html#a0ba61b1b5046688eb8cdbedde133fe58">flair::gui::Map</a>
, <a class="el" href="classflair_1_1gui_1_1_send_data.html#aac3294aeba6bc94162bc8a2c2da9decb">flair::gui::SendData</a>
</li>
<li>CopyFrom()
: <a class="el" href="classflair_1_1core_1_1_geo_coordinate.html#a7038d23d65f34b72ea0fad6c9ccb6c1a">flair::core::GeoCoordinate</a>
</li>
<li>CurrentIndex()
: <a class="el" href="classflair_1_1gui_1_1_combo_box.html#a246d05c02961be9b6c5a6daf91b58040">flair::gui::ComboBox</a>
</li>
<li>cvimage()
: <a class="el" href="classflair_1_1core_1_1cvimage.html#a27eca80953832dcbcbffabc1255576d1">flair::core::cvimage</a>
</li>
<li>cvmatrix()
: <a class="el" href="classflair_1_1core_1_1cvmatrix.html#a5cc9cfafcbe8bc934b4ec2e4cd22b497">flair::core::cvmatrix</a>
</li>
<li>cvmatrix_descriptor()
: <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#abe29e1334e98f2581a7f3c4d2dba3211">flair::core::cvmatrix_descriptor</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
